<template lang="pug">
  .c-layout
    .c-layout__header
      slot(name="header")

    .c-layout__content(
      :class=`{
        'c-layout__content--center': content === 'center',
        'c-layout__content--align-center': content === 'align-center',
        ['c-layout__content--' + width]: width !== '',
      }`
    )
      slot(name="content")

    .c-layout__footer
      slot(name="footer")
</template>

<script>
export default {
  name: 'PageLayout',
  props: {
    content: {
      type: String,
      default: '',
    },
    width: {
      type: String,
      default: '',
    },
  },
  data() {
    return {};
  },
};
</script>

<style lang="scss">
@import '@/blocks/layout/layout.scss';
</style>
